Skip to Content
LurkrLurkr Docs
Guilds

Get the role rewards changes for a specific level

GET
/guilds/{guildId}/role-rewards/level

Authorization

apiKey
headerX-Api-Key<token>

The user's API key to authenticate requests

Path Parameters

guildId*Snowflake

A Discord snowflake identifier

Match^[1-9]\d+$
Length17 <= length <= 19

Query Parameters

level*integer

The new level of the user

Range0 <= value <= 10000
userId*Snowflake

A Discord snowflake identifier. Currently, this is not used but may be in the future

Match^[1-9]\d+$
Length17 <= length <= 19

Response Body

Default Response

application/json
  1. response
addRoles*array<>

The roles that the user should be given. This does not currently take into account the roles the user has

removeRoles*array<>

The roles that the user should be removed from. This does not currently take into account the roles the user has

Example Request
curl -X GET 'https://api.lurkr.gg/v2/guilds/stringstringstrin/role-rewards/level?level=0&userId=stringstringstrin'
Example Response
{  "addRoles": [    "stringstringstrin"  ],  "removeRoles": [    "stringstringstrin"  ]}